singleton Material(engine_plastic2)
{
    mapTo = "engine_plastic2";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    diffuseMap[1] = "engine_plastic2_d.dds";
    normalMap[1] = "engine_plastic2_n.dds";
    normalMap[0] = "engine_plastic2_n.dds";
    specularMap[1] = "engine_plastic2_s.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    diffuseColor[1] = "1 1 1 1";
	cubemap = "global_cubemap_metalblurred";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};
singleton Material(engine_plastic)
{
    mapTo = "engine_plastic";	
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    diffuseColor[0] = "0.125 0.125 0.125 1";
    useAnisotropic[0] = "1";
    castShadows = "0";
    translucent = "0";
    alphaTest = "0";
    doubleSided = "0";
    alphaRef = "0";
    dynamicCubemap = false;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};
singleton Material(coupe_engine)
{
    mapTo = "coupe_engine";
    diffuseMap[0] = "vehicles/coupe/coupe_engine_d.dds";
    specularMap[0] = "vehicles/coupe/coupe_engine_s.dds";
    normalMap[0] = "vehicles/coupe/coupe_engine_n.dds";
    specularPower[0] = "32";
    pixelSpecular[0] = "1";
    useAnisotropic[0] = "1";
    castShadows = "1";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};
singleton Material(barstow)
{
   mapTo = "barstow";
    diffuseMap[2] = "vehicles/barstow/barstow_c.dds";
    specularMap[2] = "vehicles/barstow/barstow_s.dds";
    normalMap[2] = "vehicles/barstow/barstow_n.dds";
    diffuseMap[1] = "vehicles/barstow/barstow_d.dds";
    specularMap[1] = "vehicles/barstow/barstow_s.dds";
    normalMap[1] = "vehicles/barstow/barstow_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/barstow/barstow_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    specularPower[1] = "128";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[2] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
     specular[0] = "0.2 0.2 0.2 1";
    specular[1] = "0.2 0.2 0.2 1";
    specular[2] = "0.2 0.2 0.2 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    instanceDiffuse[2] = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};
singleton Material(barstow_engine_v8)
{
    mapTo = "barstow_engine_v8";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    diffuseMap[1] = "vehicles/barstow/barstow_engine_v8_d.dds";
    normalMap[1] = "vehicles/barstow/barstow_engine_v8_n.dds";
    normalMap[0] = "vehicles/barstow/barstow_engine_v8_n.dds";
    specularMap[1] = "vehicles/barstow/barstow_engine_v8_s.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    diffuseColor[1] = "1 1 1 1";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};
singleton Material(barstow_glass)
{
    mapTo = "barstow_glass";
    reflectivityMap[0] = "vehicles/common/glass_base.dds";
    diffuseMap[0] = "vehicles/barstow/barstow_glass_d.dds";
    opacityMap[0] = "vehicles/barstow/barstow_glass_d.dds";
    diffuseMap[1] = "vehicles/barstow/barstow_glass_da.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/common/null_n.dds";
    diffuseColor[1] = "0.5 0.5 0.5 0.75";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    diffuseColor[0] = "1 1.5 1.5 1";
    useAnisotropic[0] = "1";
    castShadows = "0";
    translucent = "1";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};
singleton Material(etkc)
{
   mapTo = "etkc";
    diffuseMap[2] = "vehicles/etkc/etkc_c.dds";
    specularMap[2] = "vehicles/etkc/etkc_s.dds";
    normalMap[2] = "vehicles/etkc/etkc_n.dds";
    diffuseMap[1] = "vehicles/etkc/etkc_d.dds";
    specularMap[1] = "vehicles/etkc/etkc_s.dds";
    normalMap[1] = "vehicles/etkc/etkc_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/etkc/etkc_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    specularPower[2] = "128";
    pixelSpecular[2] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    diffuseColor[2] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    instanceDiffuse[2] = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};
singleton Material(sunburst)
{
    mapTo = "sunburst";
    diffuseMap[2] = "vehicles/sunburst/sunburst_c.dds";
    specularMap[2] = "vehicles/sunburst/sunburst_s.dds";
    normalMap[2] = "vehicles/sunburst/sunburst_n.dds";
    diffuseMap[1] = "vehicles/sunburst/sunburst_d.dds";
    specularMap[1] = "vehicles/sunburst/sunburst_s.dds";
    normalMap[1] = "vehicles/sunburst/sunburst_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/sunburst/sunburst_n.dds";
    specular[0] = "0.5 0.5 0.5 0.1";
    specular[1] = "0.5 0.5 0.5 0.1";
    specular[2] = "0.5 0.5 0.5 0.1";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    specularPower[2] = "128";
    pixelSpecular[2] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    diffuseColor[2] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    beamngDiffuseColorSlot = 2;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};
